/*
 * @Author: 半生瓜 1515706227@qq.com
 * @Date: 2024-05-07 10:39:27
 * @LastEditors: 半生瓜 1515706227@qq.com
 * @LastEditTime: 2024-05-14 14:11:40
 * @FilePath: \vue-element-plus-admin-mini\src\api\table\index.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import request from '@/axios'

//角色分页接口
export const getRole = (params: any) => {
  params.page = params.page - 1
  return request.post({ url: '/role/pageQuery', params })
}
//角色接口
export const getRoleAll = () => {
  return request.post({ url: '/role/all' })
}

//权限树接口
export const getAuthTree = () => {
  return request.post({ url: '/role/authTree' })
}
//角色保存接口
export const saveRole = (params: any) => {
  return request.post({ url: '/role/save', data: params })
}
//角色删除接口
export const deleteRole = (params: any) => {
  return request.post({ url: '/role/delete', params })
}
//角色详情接口
export const getRoleDetail = (params: any) => {
  return request.post({ url: '/role/detail', params })
}
